#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "mymodel.h"

#include <QSortFilterProxyModel>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    MyModel * mm = new MyModel( this );
    QSortFilterProxyModel * sm = new QSortFilterProxyModel( this );
    sm->setSourceModel( mm );
    ui->treeView->setModel( sm );
}

MainWindow::~MainWindow()
{
    delete ui;
}
